Subject: Darwin support
To: None <>
From: Bill Studenmund <>
List: tech-pkg
Date: 12/26/2001 18:17:31
I downloaded the latest Darwin bootstrap, and started compiling. I've got
the bootstrap started, and am now trying to compile packages. This message
is part status, and part question.

The first thing I had to do was download a MacOS X package which contains
OpenSSL headers. The system ships with openssl, but not with the includes
(at least as of MacOS 10.1). I'm a little concerned as the system has
openssl 0.9.6b, but the headers are for 0.9.5a. :-( But it is good enough
for now.

The goal is to compile postgres. The current stumbling block is that the
libgetopt package manually calls ld, with the -shared parameter. Darwin's
ld doesn't like that. Suggestions?

Take care,